<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\HonorarAbnahme\HandleHonorarAbnahme;

use Kufer\Web\KuferTools\Dozent\HonorarAbnahme\HonorarAbnahmeUebersicht\HonorarAbnahmeUebersichtController;

abstract class HandleHonorarAbnahmeController extends \Kufer\Web\KuferTools\Basis\Controller\ToolController
{
  protected function createNewRequestObj()
  {
    return new HandleHonorarAbnahmeRequest();
  }

  protected function getRequestObj()
  {
    $requestObj = $this->createNewRequestObj();
    $requestObj->id = \GetOperations::getVarValue('id');

    $action = $this->getActionVal();

    return $this->handleXsrf($requestObj, $action, $requestObj->id);
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return null;
  }

  protected function getControllerToForward($pUseCaseResponse)
  {
    return new HonorarAbnahmeUebersichtController();
  }
}